Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages.ext.jsp
Class BodyContentImpl

    java.lang.Object
      java.io.Writer
          javax.servlet.jsp.JspWriter
              javax.servlet.jsp.tagext.BodyContent
                  org.codehaus.groovy.grails.web.pages.ext.jsp.BodyContentImpl

All Implemented Interfaces:
  Closeable, Flushable, Appendable

     class BodyContentImpl

extends BodyContent

An implementation of BodyContent that uses an internal CharArrayWriter

Since:
  1.1

  Created: May 1, 2008
Author:
  Graeme Rocher

Field Summary
`(package private) static char[]` | `LINE_BREAK`

Fields inherited from class javax.servlet.jsp.JspWriter
`autoFlush, bufferSize, DEFAULT_BUFFER, NO_BUFFER, UNBOUNDED_BUFFER`

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`BodyContentImpl(JspWriter out, boolean buffer)`

Method Summary
`void` | `clear()`
`void` | `clearBuffer()`
`void` | `close()`
`void` | `flush()`
`Reader` | `getReader()`
`int` | `getRemaining()`
`String` | `getString()`
`(package private) void` | `initBuffer()`
`void` | `newLine()`
`void` | `print(boolean arg0)`
`void` | `print(char arg0)`
`void` | `print(char[] arg0)`
`void` | `print(double arg0)`
`void` | `print(float arg0)`
`void` | `print(int arg0)`
`void` | `print(long arg0)`
`void` | `print(Object arg0)`
`void` | `print(String arg0)`
`void` | `println()`
`void` | `println(boolean arg0)`
`void` | `println(char arg0)`
`void` | `println(char[] arg0)`
`void` | `println(double arg0)`
`void` | `println(float arg0)`
`void` | `println(int arg0)`
`void` | `println(long arg0)`
`void` | `println(Object arg0)`
`void` | `println(String arg0)`
`void` | `write(char[] cbuf, int off, int len)`
`void` | `write(int c)`
`void` | `writeOut(Writer out)`

Methods inherited from class javax.servlet.jsp.tagext.BodyContent
`clearBody, getEnclosingWriter`

Methods inherited from class javax.servlet.jsp.JspWriter
`getBufferSize, isAutoFlush`

Methods inherited from class java.io.Writer
`append, append, append, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LINE_BREAK

    static final char[] LINE_BREAK

Constructor Detail

### BodyContentImpl

    BodyContentImpl(JspWriter out,
                    boolean buffer)

Method Detail

### initBuffer

    void initBuffer()

### flush

    public void flush()
               throws IOException

  Specified by:
    `flush` in interface `Flushable`
  Overrides:
    `flush` in class `BodyContent`
  Throws:
    `IOException`

### clear

    public void clear()
               throws IOException

  Specified by:
    `clear` in class `JspWriter`
  Throws:
    `IOException`

### clearBuffer

    public void clearBuffer()
                     throws IOException

  Specified by:
    `clearBuffer` in class `JspWriter`
  Throws:
    `IOException`

### getRemaining

    public int getRemaining()

  Specified by:
    `getRemaining` in class `JspWriter`

### newLine

    public void newLine()
                 throws IOException

  Specified by:
    `newLine` in class `JspWriter`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Specified by:
    `close` in class `JspWriter`
  Throws:
    `IOException`

### print

    public void print(boolean arg0)
               throws IOException

  Specified by:
    `print` in class `JspWriter`
  Throws:
    `IOException`

### print

    public void print(char arg0)
               throws IOException

  Specified by:
    `print` in class `JspWriter`
  Throws:
    `IOException`

### print

    public void print(char[] arg0)
               throws IOException

  Specified by:
    `print` in class `JspWriter`
  Throws:
    `IOException`

### print

    public void print(double arg0)
               throws IOException

  Specified by:
    `print` in class `JspWriter`
  Throws:
    `IOException`

### print

    public void print(float arg0)
               throws IOException

  Specified by:
    `print` in class `JspWriter`
  Throws:
    `IOException`

### print

    public void print(int arg0)
               throws IOException

  Specified by:
    `print` in class `JspWriter`
  Throws:
    `IOException`

### print

    public void print(long arg0)
               throws IOException

  Specified by:
    `print` in class `JspWriter`
  Throws:
    `IOException`

### print

    public void print(Object arg0)
               throws IOException

  Specified by:
    `print` in class `JspWriter`
  Throws:
    `IOException`

### print

    public void print(String arg0)
               throws IOException

  Specified by:
    `print` in class `JspWriter`
  Throws:
    `IOException`

### println

    public void println()
                 throws IOException

  Specified by:
    `println` in class `JspWriter`
  Throws:
    `IOException`

### println

    public void println(boolean arg0)
                 throws IOException

  Specified by:
    `println` in class `JspWriter`
  Throws:
    `IOException`

### println

    public void println(char arg0)
                 throws IOException

  Specified by:
    `println` in class `JspWriter`
  Throws:
    `IOException`

### println

    public void println(char[] arg0)
                 throws IOException

  Specified by:
    `println` in class `JspWriter`
  Throws:
    `IOException`

### println

    public void println(double arg0)
                 throws IOException

  Specified by:
    `println` in class `JspWriter`
  Throws:
    `IOException`

### println

    public void println(float arg0)
                 throws IOException

  Specified by:
    `println` in class `JspWriter`
  Throws:
    `IOException`

### println

    public void println(int arg0)
                 throws IOException

  Specified by:
    `println` in class `JspWriter`
  Throws:
    `IOException`

### println

    public void println(long arg0)
                 throws IOException

  Specified by:
    `println` in class `JspWriter`
  Throws:
    `IOException`

### println

    public void println(Object arg0)
                 throws IOException

  Specified by:
    `println` in class `JspWriter`
  Throws:
    `IOException`

### println

    public void println(String arg0)
                 throws IOException

  Specified by:
    `println` in class `JspWriter`
  Throws:
    `IOException`

### write

    public void write(int c)
               throws IOException

  Overrides:
    `write` in class `Writer`
  Throws:
    `IOException`

### write

    public void write(char[] cbuf,
                      int off,
                      int len)
               throws IOException

  Specified by:
    `write` in class `Writer`
  Throws:
    `IOException`

### getString

    public String getString()

  Specified by:
    `getString` in class `BodyContent`

### getReader

    public Reader getReader()

  Specified by:
    `getReader` in class `BodyContent`

### writeOut

    public void writeOut(Writer out)
                  throws IOException

  Specified by:
    `writeOut` in class `BodyContent`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project